### Hierarchy

- Move

### Implements

- Identifyable

## Index

### Properties

- accuracyChange
- animationId
- criticalChance
- damageWindowEndMs
- damageWindowStartMs
- durationMs
- energyDelta
- id
- internalId
- name
- pokemonType
- power
- staminaLossScalar
- trainerLevelMax
- trainerLevelMin
- vfxName

## Properties

### accuracyChange

accuracyChange: number

- Defined in components/move/move.model.ts:10

### animationId

animationId: number

- Defined in components/move/move.model.ts:7

### criticalChance

criticalChance: number

- Defined in components/move/move.model.ts:11

### damageWindowEndMs

damageWindowEndMs: number

- Defined in components/move/move.model.ts:18

### damageWindowStartMs

damageWindowStartMs: number

- Defined in components/move/move.model.ts:17

### durationMs

durationMs: number

- Defined in components/move/move.model.ts:16

### energyDelta

energyDelta: number

- Defined in components/move/move.model.ts:19

### id

id: string

Implementation of Identifyable.id

- Defined in components/move/move.model.ts:5

### internalId

internalId: number

- Defined in components/move/move.model.ts:6

### name

name: string

Implementation of Identifyable.name

- Defined in components/move/move.model.ts:4

### pokemonType

pokemonType: Identifyable

- Defined in components/move/move.model.ts:8

### power

power: number

- Defined in components/move/move.model.ts:9

### staminaLossScalar

staminaLossScalar: number

- Defined in components/move/move.model.ts:12

### trainerLevelMax

trainerLevelMax: number

- Defined in components/move/move.model.ts:14

### trainerLevelMin

trainerLevelMin: number

- Defined in components/move/move.model.ts:13

### vfxName

vfxName: string

- Defined in components/move/move.model.ts:15

Generated using TypeDoc